Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MPStlIterator< VALUE, ITERATOR > Class Template Reference

MPStlIterator implements memory pool for StlIterator. More...

`#include <StlIterator.h>`

Inheritance diagram for tlp::MPStlIterator< VALUE, ITERATOR >:
[legend]
Collaboration diagram for tlp::MPStlIterator< VALUE, ITERATOR >:
[legend]

List of all members.

## Public Member Functions

- MPStlIterator (const ITERATOR &startIt, const ITERATOR &endIt)

## Detailed Description

### template<typename VALUE, typename ITERATOR>
class tlp::MPStlIterator< VALUE, ITERATOR >

MPStlIterator implements memory pool for StlIterator.

Warning:
  never inherit from that class

See also:
  StlIterator

## Constructor & Destructor Documentation

template<typename VALUE , typename ITERATOR >

tlp::MPStlIterator< VALUE, ITERATOR >::MPStlIterator | ( | const ITERATOR & | startIt,
|  | const ITERATOR & | endIt
| ) |  | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012